"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs = require("fs");
var jsonPropertyFilter_1 = require("../jsonPropertyFilter");
var readFile_1 = require("./assertion/readFile");
var format_1 = require("./format");
var getPrettySpace_1 = require("./getPrettySpace");
var out_1 = require("./out");
var readFile_2 = require("./readFile");
function handle(file, options) {
    var encoding = options.encoding || "utf8";
    fs.readFile(file, { encoding: encoding }, function (error, data) {
        readFile_1.assertReadFile(error, file);
        var jsonObject = readFile_2.readFile(data, options.encoding);
        var jsonPropertyFilter = new jsonPropertyFilter_1.JsonPropertyFilter(options.filters);
        var filteredJsonObject = jsonPropertyFilter.apply(jsonObject);
        var space = getPrettySpace_1.getPrettySpace(options.prettySpace);
        var formattedJsonObject = format_1.format(filteredJsonObject, options.pretty, space);
        out_1.out(formattedJsonObject, options.out, options.encoding);
    });
}
exports.handle = handle;
